@charset "utf-8";
/* CSS Document */

/*モーダルを開くボタン
.modal-open{
	position: fixed;
	display: flex;
    align-items: center;
    justify-content: center;
    top: 50%;
    left: 50%;
	width: 300px;
	height: 50px;
	font-weight: bold;
	color: #fff;
	background: #000;
	margin: auto;
	cursor: pointer;
	transform: translate(-50%,-50%);
}
*/
/*モーダル本体の指定 + モーダル外側の背景の指定*/
.modal-container,.modal-container-shop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  display: flex;
  align-items: center;
  justify-content: center;

  background: rgba(0,0,0,0.6);
  padding: 40px 20px;
  box-sizing: border-box;

  opacity: 0;
  visibility: hidden;
  transition: .2s;
  z-index: 99999;
}
/*モーダル本体に「active」クラス付与した時のスタイル*/
.modal-container.active,
.modal-container-shop.active {
  opacity: 1;
  visibility: visible;
}

/* 本体 */
.modal-body {
  position: relative;
  max-width: 800px;
  width: 92%;
}

/* スクロールはここだけ */
.modal-scroll {
  max-height: 70vh;
  overflow-y: auto;
  overflow-x: hidden;
}

/* コンテンツ */
.modal-content-new {
  background: #fff;
  padding: 30px;
  margin: 0 !important;
  word-break: break-word;
}

/* button 外に出しても消えない */
.modal-close0 {
  position: absolute;
  top: -30px;
  right: -30px;

  width: 30px;
  height: 30px;
  font-size: 30px;
  color: #fff;

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;
  z-index: 10;
}